echo off;
DEMO_EEZ_FGS(5)=0; E=tf(1,1); S=tf(1,[1 1]);
SP2=S; SP3=S; RE5=E; RE6=E; RE7=E; RE8=E; RE9=E;  RE40=E;
RE10=E; RE11=E; RE12=E; RE20=E; RE21=E; RE22=E; RE30=E; RE31=E; RE32=E;
FI10=E; FI11=E; FI12=E; FI20=E; FI21=E; FI22=E; FI30=E; FI31=E; FI32=E;
echo on; 
%DEMO_EEZ - Anwendung von eez.m (Optimierung auf Endliche Einstellzeit - EEZ)
%Demonstration der wahlweisen Ein-/Ausgabe von LTI-Modellen
%                             und/oder Menabschaltung

%Vorgabe einer Strecke im Laplace-Breich (zwei Verzgerungsglieder
%mit Verstrkung V=2 und den Zeitkonstanten T1=20ms, T2=10ms): 
z=2; n=[200 30 1];
%Transformation der Strecke in den Z-Bereich; Abtastzeit T=2ms;
T=2; [zz,nz]=trans(z,n,T,0,1)
pause,     %Bettigen Sie eine beliebige Taste

%Als Zhler- bzw. Nennerpolynom der Z-bertragungsfunktion resultierten:
%zz =      0   0.0181  0.0164
%nz = 1.0000  -1.7236  0.7408
%Gleiche Anzahl der Pole in Z- und Laplace-Bereich; Totzeit=Abtastzeit
%LTI-Modell im Z-Bereich (vorteilhaft mit negativen Potenzen von z):   
SZ1=tf(zz,nz,T,'Variable','z^-1'),
pause,     %Bettigen Sie eine beliebige Taste

%Streckensprungantwort kontinuierlich und diskontinuierlich
SP1=tf(z,n,'Variable','p'); grid on; step(SP1,SZ1);
pause,     %Bettigen Sie eine beliebige Taste

%Aufrufvarianten von EEZ (aS/nS    = alte bzw. neue Syntax; 
%                         mM/oM    = mit bzw. ohne Menfhrung
%                         SV       = Steuervektor bei Menabschaltung - vgl. help
%                         varargin = 0 bis 5 Eingangsargumente - vgl. help):
%         Fhrungsoptimierung                 Stroptimierung mit Vorfilter
%a-aS mM: [rz,rn]=eez(zz,nz)             oder [rz,rn,fz,fn]=eez(zz,nz)
%b-nS mM: [RE]=eez(SZ1)                  oder [RE,FI]=eez(SZ1)
%c-aS oM: [rz,rn]=eez(zz,nz,SV,varargin) oder [rz,rn,fz,fn]=eez(zz,nz,SV,varargin)
%d-nS oM: [RE]=eez(SZ1,SV,[],varargin)   oder [RE,FI]=eez(SZ1,SV,[],varargin)
%
% >>>Abschaltung von Textausgaben (z.B. Polanzeige) mit SV(6)=1 - vgl. help<<<
pause,     %Bettigen Sie eine beliebige Taste

%Zu nachstehenden Zahlenwerten vgl.: Geitner, G.-H.  
%"Entwurf digitaler Regler fr elektrische Antriebe" S. 133 bzw. 136.
% VDE-Verlag GmbH Berlin und Offenbach 1996; ISBN 3-8007-1847-2
pause,     %Bettigen Sie eine beliebige Taste

%Berechnungsbeispiele zur Fhrungsoptimierung
%============================================
%A1, EEZ-Regler (Fhrungsoptimierung, Minimalform, vollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integralanteil)
%Men-Eingaben: bel./2/1/bel./bel./bel./bel./0 oder bel./ET/ET/bel./bel./bel./bel./ET 
%         bzw.: SV=[0 -1 -1 0 0 0]    oder [0 -1 -1 0 0 0 0 1 1 ]
%  rz = 28.9854  -49.9584   21.4729   bzw. VR=28.9854; d1=-1.7236; d2=0.7408;
%  rn = 1         -0.5250   -0.4750        I-Anteil und b1=0.4750;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV1=[0 -1 -1 0 0 0]; RE1=eez(SZ1,SV1),
pause,     %Bettigen Sie eine beliebige Taste

%A2, EEZ-Regler (Fhrungsoptimierung, suboptimal (A=1), vollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integralanteil)
%Men-Eingaben: z.B. bel./2/1/bel./bel./bel./bel./1/bel.
%         bzw.: z.B. SV=[0 -1 -1 1 0 0]
%rz = 10.6424   0      -23.7313 13.5888 bzw. VR=10.6424; d1=0; d2=-2.2299; d3=1.2769;
%rn = 1        -0.1928  -0.5066 -0.3006      I-Anteil und b1=0.8072; b2=0.3006
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV2=[0 -1 -1 1 0 0]; RE2=eez(SZ1,SV2),
pause,     %Bettigen Sie eine beliebige Taste

%A3, EEZ-Regler (Fhrungsoptimierung, suboptimal (A=2), vollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integralanteil)
%Men-Eingaben: z.B. bel./1/ET/bel./bel./bel./bel./2/bel.
%         bzw.: z.B. SV=[0 -1 -1 2 0 0]
%ODER z.B. bei externer Vorgabe der ax: RE=eez(SZ1,SV3,[],[-nz(2) -nz(3)+nz(2)^2])
%rz = 5.8516    0        0      -15.0180  9.6664  bzw.  VR=5.8516; d1=0; d2=0;
%rn = 1        -0.1060  -0.2786 -0.4016  -0.2138        d3=-2.5665; d4=1.6519;
%                                                       I-Anteil u. b1=0.8940; 
%                                                       b2=0.6155;  b3=0.2138;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV3=[0 -1 -1 2 0 0]; RE3=eez(SZ1,SV3)
pause,     %Bettigen Sie eine beliebige Taste

%A4, EEZ-Regler (Fhrungsoptimierung, suboptimal (A=3), vollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integralanteil)
%Men-Eingaben: z.B. bel./ET/ET/bel./bel./bel./bel./3/bel.
%         bzw.: z.B. SV=[0 -1 -1 3 0 0]
%rz = 3.8545  0       0       0      -10.6830  7.3285 bzw. VR=3.8545;d1=0;d2=0;d3=0;
%rn = 1      -0.0698 -0.1835 -0.2645  -0.3200 -0.1621      d4=-2.7716; d5=1.9013;
%                                                          Int.;b1=0.9302;b2=0.7467;
%                                                          b3=0.4821;     b4=0.1621;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV4=[0 -1 -1 3 0 0]; RE4=eez(SZ1,SV4)
pause,     %Bettigen Sie eine beliebige Taste

%Berechnung des Verhaltens von Stell- und Regelgre fr Beispiel A mit SIMULINK
echo off;
DEMO_EEZ_FGS(1)=1; DEMO_EEZs; sim('DEMO_EEZs',20); DEMO_EEZ_FGS(1)=0; echo on;
pause,     %Bettigen Sie eine beliebige Taste

%B1, EEZ-Regler (Fhrungsoptimierung, Minimalform, vollstndige Kompensation;
%                Rampen-Eingangssignal bzw. Ordnung=2 fr Integralanteil)
%Men-Eingaben: z.B. bel./2/2/bel./bel./bel./bel./0
%         bzw.: z.B. SV=[0 -1 -1 0 0 0 0 0 1]
% rz = 71.7395 -166.4021  126.8356  -31.6730   bzw.  VR=71.7395; d1=-2.3195;
% rn =  1.0000   -1.2993   -0.4013    0.7007         d2= 1.7680; d2=-0.4415;
%                                                    doppelter I-Anteil
%                                                                 b1=0.7007;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV5=[0 -1 -1 0 0 0 0 0 1]; RE5=eez(SZ1,SV5)
pause,     %Bettigen Sie eine beliebige Taste

%B2, EEZ-Regler (Fhrungsoptimierung, suboptimal (A=1), vollstndige Kompensation;
%                Rampen-Eingangssignal bzw. Ordnung=2 fr Integralanteil)
%Men-Eingaben: z.B. bel./2/2/bel./bel./bel./bel./1/bel.
%         bzw.: z.B. SV=[0 -1 -1 1 0 0 0 0 1]
%rz = 36.9827 -36.9827 -53.4812  79.7297 -25.7485 bzw. VR=36.9827; d1=-1; d2=-1.4461;
%rn =  1.0000  -0.6698  -1.0907   0.1910   0.5696      d3= 2.1559; d4=-0.6962;
%                                                      doppelter I-Anteil
%                                                      b1= 1.3302; b2= 0.5696;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV6=[0 -1 -1 1 0 0 0 0 1]; RE6=eez(SZ1,SV6)
pause,     %Bettigen Sie eine beliebige Taste

%B3, EEZ-Regler (Fhrungsoptimierung, suboptimal (A=2), vollstndige Kompensation;
%                Rampen-Eingangssignal bzw. Ordnung=2 fr Integralanteil)
%Men-Eingaben: z.B. bel./2/2/bel./bel./bel./bel./2/bel.
%         bzw.: z.B. SV=[0 -1 -1 2 0 0 0 0 1]
%rz = 26.1859 -26.1859  0.0000 -38.2203 60.5046 -21.7843 bzw. VR=26.1859; d1=-1; d2=0;
%rn =  1.0000  -0.4743 -0.7723  -0.5506  0.3153   0.4819      d3=-1.4596; d4=2.3106;
%                                                             d5=-0.8319; doppelter
%                                                             I-Anteil;   b1=1.5257;
%                                                             b2=1.2791;  b3=0.4819;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV7=[0 -1 -1 2 0 0 0 0 1]; RE7=eez(SZ1,SV7)
pause,     %Bettigen Sie eine beliebige Taste

%Berechnung des Verhaltens von Stell- und Regelgre fr Beispiel B mit SIMULINK
echo off;
bdclose('DEMO_EEZs');  %fr R11 / 5.3 nicht ntig
DEMO_EEZ_FGS(2)=1; DEMO_EEZs; sim('DEMO_EEZs',15); DEMO_EEZ_FGS(2)=0; echo on;
pause,     %Bettigen Sie eine beliebige Taste

%C1, EEZ-Regler (Fhrungsoptimierung, Minimalform, unvollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integralanteil)
%Men-Eingaben: z.B. bel./ET/ET/bel./bel./bel./1/ET
%         bzw.: z.B. SV=[0 1 -1 0 0 0]
% rz = 62.9168  -90.8608   30.7024    bzw.   VR=62.9168; d1=-1.4441; d2=0.4880;
% rn =  1.0000   -0.3208   -0.6792           I-Anteil;   b1= 0.6792;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV8=[0 1 -1 0 0 0]; RE8=eez(SZ1,SV8)                                           
pause,     %Bettigen Sie eine beliebige Taste

%C2, EEZ-Regler (Fhrungsoptimierung, suboptimal (A=1), unvollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integralanteil)
%Men-Eingaben: z.B. bel./ET/ET/bel./bel./bel./1/ET
%         bzw.: z.B. SV=[0 1 -1 1 0 0]
%rz = 22.7246  18.6053 -68.3467  29.7751  bzw.  VR=22.7246; d1=0.8187; d2=-3.0076;
%rn =  1.0000   0.4071  -0.7485  -0.6587                    d3=1.3103;
%                                               I-Anteil;   b1=1.4071; b2= 0.6587;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV9=[0 1 -1 1 0 0]; RE9=eez(SZ1,SV9)
pause,     %Bettigen Sie eine beliebige Taste

%Berechnungen des Verhaltens von Stell- und Regelgre fr Beispiel C mit SIMULINK
%Fr den Entwurfsweg nach C kann typisch ein deutliches berschwingen auftreten
echo off;
bdclose('DEMO_EEZs');  %fr R11 / 5.3 nicht ntig
DEMO_EEZ_FGS(3)=1; DEMO_EEZs; sim('DEMO_EEZs',15); DEMO_EEZ_FGS(3)=0; echo on;
pause,     %Bettigen Sie eine beliebige Taste

%Beispiele zur Stroptimierung (!Fhrungs- und Strverhalten getrennt whlbar!)
%==============================================================================
%Vorgabe einer Strecke im Laplace-Breich (ein Verzgerungsglied mit 
%Mittelwertmessung, Verstrkung V=0.2 und Zeitkonstante T1=10ms): 
z2=0.2; n2=[10 1]; SP2=tf(z2,n2,'Variable','p');
%Transformation der Strecke in den Z-Bereich; Abtastzeit T=2ms;
T=2; [zz2,nz2]=trans(z2,n2,T,0,2)
pause,     %Bettigen Sie eine beliebige Taste
    
%Als Zhler- bzw. Nennerpolynom der Z-bertragungsfunktion resultierten:
%zz =      0    0.0937    0.0876
%nz = 1.0000   -0.8187    0
%Gleiche Anzahl der Pole in Z- und Laplace-Bereich; Totzeit=Abtastzeit
%LTI-Modell im Z-Bereich (vorteilhaft mit negativen Potenzen von z):   
SZ2=tf(zz2,nz2,T,'Variable','z^-1'),
pause,     %Bettigen Sie eine beliebige Taste

%D1, EEZ-Regler (Stroptimierung, Minimalform, vollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integral-Anteil)
%D1a,   ==> Vorfilter Minimalform
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./0/bel./bel./0
%         bzw.: z.B. SV=[1 -1 -1 0 0 0]
%               oder SV=[1 -1 -1 0 0 2] <== Abschaltung smtlicher Ausgabetexte
% rz = 97.0986  -43.7105             bzw.  VR=97.0986;  d1=-0.4502;
% rn =  1        -0.0645   -0.9355         I-Anteil und b1= 0.9355;
% fz =  0.2841    0.2658                   VF= 0.2841; df1= 0.9355;
% fn =  1        -0.4502                               bf1=-0.4502;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV10=[1 -1 -1 0 0 0]; [RE10,FI10]=eez(SZ2,SV10)    
pause,     %Bettigen Sie eine beliebige Taste

%D1b,   ==> Vorfilter suboptimal (A=1)
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./0/bel./bel./1/bel.
%         bzw.: z.B. SV=[1 -1 -1 1 0 0]
% rz = 97.0986  -43.7105           bzw.  VR=97.0986;  d1=-0.4502;
% rn =  1        -0.0645   -0.9355       I-Anteil und b1= 0.9355;
% fz =  0.1562    0.2740    0.1196       VF= 0.1562; df1= 1.7543; df2=0.7659;
% fn =  1        -0.4502                             bf1=-0.4502;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV11=[1 -1 -1 1 0 0]; [RE11,FI11]=eez(SZ2,SV11)
pause,     %Bettigen Sie eine beliebige Taste

%D1c,   ==> Vorfilter suboptimal (A=2)
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./0/bel./bel./2/bel.
%         bzw.: z.B. SV=[1 -1 -1 2 0 0]
% rz = 97.0986 -43.7105                bzw.  VR=97.0986; d1=-0.4502;
% rn =  1       -0.0645 -0.9355             I-Anteil und b1= 0.9355;
% fz =  0.1141   0.2002  0.1639 0.0716      df1=1.7543; df2= 1.4363; df3=0.6271;
% fn =  1       -0.4502                      VF=0.1141; bf1=-0.4502;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV12=[1 -1 -1 2 0 0]; [RE12,FI12]=eez(SZ2,SV12)
pause,     %Bettigen Sie eine beliebige Taste

%D2, EEZ-Regler (Stroptimierung: suboptimal (A=1), vollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integral-Anteil)
%D2a,   ==> Vorfilter Minimalform
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./1/bel./bel./bel./0
%         bzw.: z.B. SV=[1 -1 -1 0 1 0]
% rz = 73.0651  0      -19.6770         bzw. VR=73.0651;  d1= 0;      d2=-0.2693;
% rn =  1       0.3857  -0.9645 -0.4211      I-Anteil und b1= 1.3857; b2= 0.4211;
% fz =  0.3775  0.3532                       VF=0.3775;  df1= 0.9355;
% fn =  1       0       -0.2693              bf1=0;      bf2=-0.2693;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV20=[1 -1 -1 0 1 0]; [RE20,FI20]=eez(SZ2,SV20)
pause,     %Bettigen Sie eine beliebige Taste

%D2b,   ==> Vorfilter suboptimal (A=1)
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./1/bel./bel./bel./1/bel.
%         bzw.: z.B. SV=[1 -1 -1 1 1 0]
% rz = 73.0651  0      -19.6770         bzw.  VR=73.0651; d1=0;        d2=-0.2693;
% rn =  1       0.3857  -0.9645 -0.4211      I-Anteil und b1=1.3857;   b2=0.4211;
% fz =  0.2076  0.3641   0.1590               VF= 0.2076; df1=1.7543; df2= 0.7659;
% fn =  1       0       -0.2693                           bf1=0;      bf2=-0.2693;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV21=[1 -1 -1 1 1 0]; [RE21,FI21]=eez(SZ2,SV21)
pause,     %Bettigen Sie eine beliebige Taste

%D2c,   ==> Vorfilter suboptimal (A=2)
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./1/bel./bel./bel./2/bel.
%         bzw.: z.B. SV=[1 -1 -1 2 1 0]
% rz = 73.0651 0      -19.6770         bzw. VR=73.0651;   d1=0;       d2=-0.2693;
% rn =  1      0.3857  -0.9645 -0.4211      I-Anteil und  b1=1.3857;  b2= 0.4211;
% fz =  0.1517 0.2661   0.2178  0.0951       df1=1.7543; df2=1.4363; df3= 0.6271;
% fn =  1      0       -0.2693               VF=0.1517;  bf1=0;      bf2=-0.2693;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV22=[1 -1 -1 2 1 0]; [RE22,FI22]=eez(SZ2,SV22)
pause,     %Bettigen Sie eine beliebige Taste

%D3, EEZ-Regler (Stroptimierung: suboptimal (A=2), vollstndige Kompensation;
%                Sprung-Eingangssignal bzw. Ordnung=1 fr Integral-Anteil)
%D3a,   ==> Vorfilter Minimalform
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./2/bel./bel./bel./0
%         bzw.: z.B. SV=[1 -1 -1 0 2 0]
% rz = 65.1597 0       0      -11.7716         bzw.  d1= 0;  d2=0; d3=-0.1807;
% rn =  1      0.5338 -0.7048  -0.5770 -0.2519       VR=65.1597; I-Anteil und 
% fz =  0.4233 0.3960                                b1=1.5338; b2=0.8290; b3=0.2519;
% fn =  1      0       0       -0.1807               VF=0.4233;   df1=0.9355;
%                                                    bf1=0; bf2=0; bf3=-0.1807;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV30=[1 -1 -1 0 2 0]; [RE30,FI30]=eez(SZ2,SV30)
pause,     %Bettigen Sie eine beliebige Taste

%D3b,   ==> Vorfilter suboptimal (A=1)
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./2/bel./bel./bel./1/bel.
%         bzw.: z.B. SV=[1 -1 -1 1 2 0]
% rz = 65.1597 0       0      -11.7716         bzw. d1= 0; d2=0; d2=-0.1807;
% rn =  1      0.5338 -0.7048  -0.5770 -0.2519      VR=65.1597; Int.; b1=1.5338;   
% fz =  0.2328 0.4083  0.1783                       b2= 0.8290; b3=0.2519;
% fn =  1      0       0       -0.1807              VF= 0.2328;
%                                                   df1=1.7543;   df2= 0.7659;
%                                                   bf1=0; bf2=0; bf3=-0.1807;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV31=[1 -1 -1 1 2 0]; [RE31,FI31]=eez(SZ2,SV31)
pause,     %Bettigen Sie eine beliebige Taste

%D3c,   ==> Vorfilter suboptimal (A=2)
%Men-Eingaben: z.B. 1/1/1/bel./bel./bel./2/bel./bel./bel./2/bel.
%         bzw.: z.B. SV=[1 -1 -1 2 2 0]
%rz = 65.1597 0       0      -11.7716         bzw.  VR=65.1597;   d1 = 0;
%rn =  1      0.5338 -0.7048  -0.5770 -0.2519       d2=0;         d3 =-0.1807;
%fz =  0.1701 0.2983  0.2443   0.1067               I-Anteil und  b1 = 1.5338;  
%fn =  1      0       0       -0.1807               b2=0.8290;    b3 = 0.2519;
%                                                   VF=0.1701;    df1= 1.7543;
%                                                   df2=1.4363;   df3= 0.6271;
%                                                   bf1=0; bf2=0; bf3=-0.1807;
pause,     %Bettigen Sie eine beliebige Taste

%Reglerberechnung
SV32=[1 -1 -1 2 2 0]; [RE32,FI32]=eez(SZ2,SV32)
pause,     %Bettigen Sie eine beliebige Taste

%Fhrungsverhalten und Strverhalten mit Vorfilter fr Beispiel D
%Verhalten von Stell- und Regelgre 
%Da Fhrungs- und Strverhalten getrennt einstellbar sind, fhren die neun
%Kombinationen zu jeweils nur drei verschiedenen Sprungantworten!
echo off;
bdclose('DEMO_EEZs');  %fr R11 / 5.3 nicht ntig
DEMO_EEZ_FGS(4)=1; DEMO_EEZs; sim('DEMO_EEZs',25), DEMO_EEZ_FGS(4)=0; echo on;
pause,     %Bettigen Sie eine beliebige Taste

%E, Beispiel nach Pohl, Automatisierungstechnik(at) 8(1988)36 S.306/10
%Strecke in Laplace- und Z-Bereich:
z3=1.65*conv([0.78 -0.09 1],[0.12 -0.01 1]);
n3=conv(conv([0.73 0.4 1],[0.14 0.15 1]),[0.5 1]);
SP3=tf(z3,n3,'Variable','p'), T=1; SZ3=trans(SP3,T,0,1),
pause,     %Bettigen Sie eine beliebige Taste

%Berechnung mit MATLAB: Streckensprungantwort kontinuierlich und diskontinuierlich
grid on; step(SP3,SZ3),
pause,     %Bettigen Sie eine beliebige Taste

%betragsmig kleinsten Pol nicht kompensieren (variiert stark)
RE40=eez(SZ3,[0 4 0 0 0 2]),
%Mit MATLAB Sprungantwort des Regelkreises berechnen: Regelgre
RK40o=series(RE40,SZ3); RK40x=feedback(RK40o,1); figure; grid on; step(RK40x);
pause,     %Bettigen Sie eine beliebige Taste

%Mit MATLAB Sprungantwort des Regelkreises berechnen: Stellgre
RK40y=feedback(RE40,SZ3); figure; grid on; step(RK40y);
pause,     %Bettigen Sie eine beliebige Taste

%Mit SIMULINK Sprungantworten von Stell- und Regelgre berechnen
echo off;
bdclose('DEMO_EEZs');  %fr R11 / 5.3 nicht ntig
DEMO_EEZ_FGS(5)=1; DEMO_EEZs; sim('DEMO_EEZs',10), DEMO_EEZ_FGS(5)=0;
clear DEMO_EEZ_FGS T z n z2 n2 z3 n3 zz nz zz2 nz2 SP1 SP2 SP3 SZ1 SZ2 SZ3
clear SV1 SV2 SV3 SV4 SV5 SV6 SV7 SV8 SV9 RE1 RE2 RE3 RE4 RE5 RE6 RE7 RE8 RE9
clear SV10 SV11 SV12 SV20 SV21 SV22 SV30 SV31 SV32 RE40 RK40o RK40x RK40y
clear RE10 RE11 RE12 RE20 RE21 RE22 RE30 RE31 RE32
clear FI10 FI11 FI12 FI20 FI21 FI22 FI30 FI31 FI32 E S tout
