echo on;
%DEMO_GUETE: Beispiel zur Anwendung von guete.m: Berechnung von 
%Gteparametern nach einmaliger Eingangssignalnderung von Regelkreisen

%Vorgabe einer Regelstrecke im Laplce-Bereich und Z-Transformation:
z=0.5*[3 1]; n=conv(conv([2 1],[4 1]),[7 1]);
SP1=tf(z,n,'Variable','p'),
T=1.5; SZ1=trans(SP1,T,0,2),      %vgl. DEMO_BOD oder help trans
pause,        %Bettigen Sie eine beliebige Taste

%Berechnung von zwei digitalen Reglern:
%Regler 1: Digitales Betragsoptimum / fhrungsoptimiert
RE1=bod(SZ1,[0 0 0 0 1 2]),       %vgl. DEMO_BOD oder help bod
pause,        %Bettigen Sie eine beliebige Taste

%Regler 2: Digitales Betragsoptimum / stroptimiert mit Vorfilter
[RE2,FI2]=bod(SZ1,[1 1 0 1 1 2]), %vgl. DEMO_BOD oder help bod
pause,        %Bettigen Sie eine beliebige Taste

%Regelkreis-Simulation mit SIMULINK und Zugriff auf Daten in Struktur-Array:
DEMO_GUETEs; sim('DEMO_GUETEs',60);
%Wesentlich: die Signale XPM und XZE sind gleich, nur eine Kurve ist zu erkennen;
%Struktur auslesen: x1=Struk1.time; x2=Struk1.signals, x3=Struk1.blockName
t1=Struk1.time; 
vw1=Struk1.signals.values(:,1); vx1=Struk1.signals.values(:,2);
vy1=Struk1.signals.values(:,3); vz1=Struk1.signals.values(:,4);
t2=Struk2.time;
vw2=Struk2.signals.values(:,1); vx2=Struk2.signals.values(:,2);
vy2=Struk2.signals.values(:,3); vz2=Struk2.signals.values(:,4);
t3=Struk3.time; 
vw3=Struk3.signals.values(:,1); vx3=Struk3.signals.values(:,2);
vy3=Struk3.signals.values(:,3); vz3=Struk3.signals.values(:,4);
pause,        %Bettigen Sie eine beliebige Taste

%Gteparameterberechnung mit guete.m:
%Auswertung Fhrungssprungantwort Regelkreis 1
[AM1,t1,vwn1,vxn1]=guete(T,t1,vw1,vx1,vy1,vz1,[1 0],0); %vgl. help guete
pause,        %Bettigen Sie eine beliebige Taste

%Auswertung Fhrungssprungantwort Regelkreis 2
[AM2,t2,vwn2,vxn2]=guete(T,t2,vw2,vx2,vy2,vz2,[1 0],0); %
pause,        %Bettigen Sie eine beliebige Taste

%Auswertung Strsprungantwort Regelkreis 3
[AM3,t3,vwn3,vxn3]=guete(T,t3,vw3,vx3,vy3,vz3,[1 0],0); %

echo off; %Die Variablen >>> SP1 T SZ1 RE1 RE2 FI2 <<< werden nicht gelscht
clear z n %SP1 T SZ1 RE1 RE2 FI2 <--- diese Variablen nicht lschen: 
          %so weitere Simulationen mit SIMULINK-Struktur mglich
clear t1 vw1 vx1 vy1 vz1 t2 vw2 vx2 vy2 vz2 t3 vw3 vx3 vy3 vz3