%regber1 - Reglervergleich: kont., quasikont., BOD (var.), EEZ (var.)
%Streckensprungantwort, Reglerberechnung (Fh.) und Regelkreissimulation

%Parameter definieren
VS=10; T1=2; T2=8; T=2;

%bertragungsfunktion im Laplace-Bereich
z1p=VS; n1p=conv([T1 1],[T2 1]);
s1k=tf(z1p,n1p),

%Z-Transformation der Streckenbertragunsfunktion
disp([10 'Z-Transformation der Strecke:']);
[z1z,n1z]=trans(z1p,n1p,T,0,1),
%bertragungsfunktion im Z-Bereich darstellen
s1d=tf(z1z,n1z,T,'Variable','z^-1'),

%Kontinuierlicher Regler: Betragsoptimum (Fhrungsoptimierung)
TR1=T2;        %groe Zeitkonstante kompensieren
TSu=T1;        %Summenzeitkonstante bestimmen  
TR0=2*VS*TSu;  %Integrationszeitkonstante
disp([10 'Kontinuierlicher Regler:']);
rz1=[TR1 1],   %im Laplace-bereich
rn1=[TR0 0],

%Diskontinuierlicher Regler: Quasikontinuierliche Einstellung
TSuK=TSu+T/2;  %Korrektur der Summenzeitkonstante
VPI=TR1/(2*VS*TSuK); TN=T2;     %Nachstellzeit und
                                %kont. Verstrkung bestimmen
VR1=VPI*(1+T/(2*TN));           %Differenzengleichung
d11=-(1-T/(2*TN))/(1+T/(2*TN)); %durch Nherung
disp([10 'Quasikontinuierlicher Regler:']);
rz2=VR1*[1 d11],                %im Z-Bereich
rn2=[1 -1],

%Diskontinuierlicher Regler: Digitales Betragsoptimum (BOD)
disp([10 'Digitales Betragsoptimum:']);
[rz3,rn3]=bod(z1z,n1z),

%Entwurf auf endliche Einstellzeit (EEZ)
disp([10 'Endliche Einstellzeit:']);
[rz4,rn4]=eez(z1z,n1z),

%Sprunganrworten in MATLAB berechnen
grid; step(s1k,s1d);  %Weiteres Plot-Fenster: figure, grid

%Sprungantworten in SIMULINK berechnen
regber1s;             %SIMULINK-Modell ffnen
sim('regber1s',50),   %SIMULINK-Modell berechnen

